package org.eco.common.hadoop.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Description: HadoopProperties
 * @Author: GaoKun Wang
 * @Date: 2024/9/19
 */
@Data
@ConfigurationProperties(prefix = "hadoop")
public class HadoopProperties {
    private String nameNode;
    private String directoryPath;
    private String userName;
    private String replication = "1";
    private Boolean enabled;

    public String getPath() {
        return this.nameNode + this.directoryPath;
    }
}
